# eric6.Preferences.ConfigurationPages.EditorSyntaxPage

Module implementing the Editor Syntax Checker configuration page.

### Global Attributes

None

### Classes

EditorSyntaxPage | Class implementing the Editor Syntax Checker configuration page.

### Functions

create | Module function to create the configuration page.

## EditorSyntaxPage

Class implementing the Editor Syntax Checker configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorSyntaxPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorSyntaxPage | Constructor
save | Public slot to save the Editor Syntax Checker configuration.

### Static Methods

None

#### EditorSyntaxPage (Constructor)

EditorSyntaxPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EditorSyntaxPage.save

save()

Public slot to save the Editor Syntax Checker configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up